<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_main" >

    <!-- 左边布局 -->
    <LinearLayout
        android:id="@+id/linear_left"
        android:layout_width="400dp"
        android:layout_height="match_parent"
        android:layout_marginBottom="50dp"
        android:layout_marginLeft="50dp"
        android:layout_marginRight="0dp"
        android:layout_marginTop="50dp"
        android:background="@color/text_blue"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="70dp"
            android:gravity="center_horizontal" >

            <TextView
                android:id="@+id/tv_left_invoice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="发票打印"
                android:textColor="@color/white"
                android:textSize="60sp" >
            </TextView>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:gravity="center" >

            <ImageView
                android:id="@+id/iv_left_invoice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_invoice_print" >
            </ImageView>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/linear_backto_selfservice"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="30dp"
            android:gravity="center" >

            <ImageView
                android:id="@+id/btn_return"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:src="@drawable/icon_return" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="自助服务"
                android:textColor="@color/white"
                android:textSize="45sp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="50dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="35dp"
        android:layout_marginTop="50dp"
        android:background="@color/white"
        android:orientation="vertical" 
        >

        <!--发票查询布局-->
        <RelativeLayout
            android:id="@+id/lay_invoice_query"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:orientation="vertical" 
            android:visibility="visible">

            <!-- 打印类型 -->
            <LinearLayout
                android:id="@+id/linear_print_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:gravity="left"
                android:orientation="horizontal" >

                <Button
                    android:id="@+id/btn_invoice_gave"
                    android:layout_width="206dp"
                    android:layout_height="60dp"
                    android:text="现金发票"
                    android:textSize="30sp"
                    android:gravity="center"
                    android:background="@drawable/btn_tip_select" >
                </Button>

                <Button
                    android:id="@+id/btn_invoice_statement"
                    android:layout_width="206dp"
                    android:layout_height="60dp"
                    android:text="月结发票"
                    android:textSize="30sp"
                    android:gravity="center"
                    android:background="@drawable/btn_tip_select" >
                </Button>
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/lay_with_blue_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingRight="50dp"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:layout_below="@+id/linear_print_type"
                android:background="@drawable/icon_blue_boder"
                android:orientation="vertical">
                <!-- 业务类型 -->
	            <LinearLayout
	                android:id="@+id/linear_busi_type"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:gravity="center_vertical"
	                android:orientation="horizontal"
	                android:layout_marginTop="30dp" >
	
	                <TextView
	                    android:id="@+id/tv_busitype"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:text="业务类型:"
	                    android:textColor="#4b4b4b"
	                    android:textSize="30sp" >
	                </TextView>
	
	                <RelativeLayout
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content" 
	                    android:layout_marginLeft="10dp">
	
	                    <EditText
	                        android:id="@+id/etBusiType"
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:background="@drawable/bg_et_pwd"
	                        android:gravity="center_vertical"
	                        android:paddingLeft="20dp"
	                        android:enabled="false"
	                        android:text="手机交费"
	                        android:textColor="@color/black"
	                        android:textSize="28sp" />
	
	                    <ImageView
	                        android:id="@+id/iv_busitype"
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:padding="10dp"
	                        android:layout_alignParentRight="true"
	                        android:layout_centerVertical="true"
	                        android:layout_marginRight="20dp"
	                        android:src="@drawable/down2" />
	                </RelativeLayout>
	            </LinearLayout>
	
	            <!-- 交易号码 -->
	            <LinearLayout
	                android:id="@+id/linear_busi_num"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_below="@+id/linear_busi_type"
	                android:layout_marginTop="15dp"
	                android:orientation="horizontal" >
	
	                <LinearLayout
	                    android:id="@+id/linear_non_sj_businum"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:gravity="center_vertical"
	                    android:orientation="horizontal"
	                    android:visibility="gone" >
	
	                    <TextView
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:text="交易号码:"
	                        android:textColor="#8b8b8b"
	                        android:textSize="30sp" />
	
	                    <EditText
	                        android:id="@+id/et_num_pre"
	                        android:layout_width="100dp"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="10dp"
	                        android:background="@drawable/bg_et_pwd_selector"
	                        android:gravity="center"
	                        android:hint="区号"
	                        android:imeActionId="@+id/nextStep"
	                        android:imeOptions="actionDone"
	                        android:inputType="numberSigned"
	                        android:maxLength="4"
	                        android:textColor="@color/black"
	                        android:textSize="30sp" />
	
	                    <TextView
	                        android:layout_width="10dp"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="5dp"
	                        android:layout_marginRight="5dp"
	                        android:text="-"
	                        android:textSize="30sp"
	                        android:textColor="@color/black" />
	
	                    <EditText
	                        android:id="@+id/et_num_back"
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:background="@drawable/bg_et_pwd_selector"
	                        android:hint="号码"
	                        android:imeOptions="actionDone"
	                        android:paddingLeft="20dp"
	                        android:singleLine="false"
	                        android:maxLength="8"
	                        android:textSize="30sp" 
	                        android:inputType="number"/>
	                    
	                    <EditText
	                        android:id="@+id/et_num_back0"
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:digits="1234567890abcdefghijklmnopqrstuvwsyzABCDEFGHIJKLMNOPQRSTUVWXYZ*#.-/+@$%_="
	                        android:background="@drawable/bg_et_pwd_selector"
	                        android:hint="号码"
	                        android:imeOptions="actionDone"
	                        android:paddingLeft="20dp"
	                        android:singleLine="false"
	                        android:textSize="30sp" 
	                        android:maxLength="30"/>
	                </LinearLayout>
	
	                <LinearLayout
	                    android:id="@+id/linear_sj_businum"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:gravity="center_vertical"
	                    android:orientation="horizontal" >
	
	                    <TextView
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:text="交易号码:"
	                        android:textColor="#8b8b8b"
	                        android:textSize="30sp" />
	
	                    <EditText
	                        android:id="@+id/et_sjnum"
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="10dp"
	                        android:background="@drawable/bg_et_pwd_selector"
	                        android:maxLength="11"
	                        android:paddingLeft="20dp"
	                        android:singleLine="false"
	                        android:textSize="28sp"
	                        android:inputType="number" />
	                </LinearLayout>
	            </LinearLayout>
	
	            <!-- 查询时间 -->
	            <LinearLayout
	                android:id="@+id/linear_search_time"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_below="@+id/linear_busi_num"
	                android:layout_marginTop="5dp"
	                android:orientation="horizontal" >
	
	                <LinearLayout
	                    android:id="@+id/linear_gave_searchtime"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:gravity="center_vertical"
	                    android:orientation="horizontal"
	                    android:visibility="gone" >
	
	                    <TextView
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:text="查询时间:"
	                        android:textColor="#8b8b8b"
	                        android:textSize="30sp" >
	                    </TextView>
	
	                    <RelativeLayout
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="10dp" >
	
	                        <EditText
	                            android:id="@+id/et_search_time"
	                            android:layout_width="match_parent"
	                            android:layout_height="wrap_content"
	                            android:background="@drawable/bg_et_pwd_selector"
	                            android:paddingLeft="20dp"
	                            android:hint="请选择时间指定到月份"
	                            android:textSize="28sp"
	                            android:enabled="false"
	                            />
	
	                        <ImageView
	                            android:id="@+id/iv_searchtime"
	                            android:layout_width="wrap_content"
	                            android:layout_height="wrap_content"
	                            android:padding="10dp"
	                            android:layout_alignParentRight="true"
	                            android:layout_centerVertical="true"
	                            android:layout_marginRight="20dp"
	                            android:src="@drawable/down2" />
	                    </RelativeLayout>
	                </LinearLayout>
	
	                <LinearLayout
	                    android:id="@+id/linear_statement_searchtime"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:gravity="center_vertical"
	                    android:orientation="horizontal" >
	
	                    <TextView
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:text="查询时间:"
	                        android:textColor="#8b8b8b"
	                        android:textSize="30sp" >
	                    </TextView>
	
	                    <RelativeLayout
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="10dp" >
	
	                        <EditText
	                            android:id="@+id/et_begin_time"
	                            android:layout_width="210dp"
	                            android:layout_height="wrap_content"
	                            android:background="@drawable/bg_et_pwd_selector"
	                            android:paddingLeft="20dp" 
	                            android:textSize="28sp"
	                            android:enabled="false"/>
	
	                        <ImageView
	                            android:id="@+id/iv_begintime"
	                            android:layout_width="wrap_content"
	                            android:layout_height="wrap_content"
	                            android:padding="10dp"
	                            android:layout_alignRight="@+id/et_begin_time"
	                            android:layout_centerVertical="true"
	                            android:layout_marginRight="20dp"
	                            android:src="@drawable/down2" />
	                    </RelativeLayout>
	
	                    <TextView
	                        android:layout_width="wrap_content"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="5dp"
	                        android:text="至"
	                        android:textSize="30sp"
	                        android:textColor="@color/black" />
	
	                    <RelativeLayout
	                        android:layout_width="match_parent"
	                        android:layout_height="wrap_content"
	                        android:layout_marginLeft="5dp" >
	
	                        <EditText
	                            android:id="@+id/et_end_time"
	                            android:layout_width="match_parent"
	                            android:layout_height="wrap_content"
	                            android:background="@drawable/bg_et_pwd_selector"
	                            android:paddingLeft="20dp" 
	                            android:textSize="28sp"
	                            android:enabled="false"/>
	
	                        <ImageView
	                            android:id="@+id/iv_endtime"
	                            android:layout_width="wrap_content"
	                            android:layout_height="wrap_content"
	                            android:padding="10dp"
	                            android:layout_alignParentRight="true"
	                            android:layout_centerVertical="true"
	                            android:layout_marginRight="20dp"
	                            android:src="@drawable/down2" />
	                    </RelativeLayout>
	                </LinearLayout>
	            </LinearLayout>
	
	            <!-- 服务密码 -->
	            <LinearLayout
	                android:id="@+id/linear_server_pwd"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_below="@+id/linear_search_time"
	                android:layout_marginTop="15dp" >
	
	                <TextView
	                    android:id="@+id/tv_server_pwd"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:text="服务密码:"
	                    android:textColor="#8b8b8b"
	                    android:textSize="30sp" />
	
	                <EditText
	                    android:id="@+id/et_server_pwd"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:layout_marginLeft="10dp"
	                    android:paddingLeft="20dp"
	                    android:background="@drawable/bg_et_pwd_selector"
	                    android:inputType="numberPassword"
	                    android:maxLength="6"
	                    android:textColor="@color/black"
	                    android:textSize="30sp" />
	            </LinearLayout>
	            
	            <com.sunnada.baseframe.ui.MyCustomButtonGreen 
	                android:id="@+id/btn_query"
	                android:layout_width="210dp"
	                android:layout_height="65dp"
	                android:layout_marginTop="10dp"
	                android:layout_alignParentRight="true"
	                android:background="@drawable/btn_common_green"
	                android:layout_below="@+id/linear_server_pwd"
	                />
	        </RelativeLayout>
            
            <RelativeLayout 
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@+id/lay_with_blue_border"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                >
                
               <LinearLayout 
                    android:id="@+id/linear_invoice_validate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    >
                    <Button
		                android:id="@+id/btn_invoice_validate"
		                android:layout_width="wrap_content"
		                android:layout_height="wrap_content"
		                android:background="@drawable/invoice_validate_selector"/>
               </LinearLayout>
               
               <TextView 
                 android:layout_width="wrap_content"
                 android:layout_height="wrap_content"
                 android:layout_marginRight="30dp"
                 android:layout_toLeftOf="@+id/linear_invoice_validate"
                 android:text="新装发票纸时,请发票校准功能中设置发票纸的起始发票号"
                 android:textSize="25sp"/>
            </RelativeLayout>
            
            <!-- 业务类型 -->
            <LinearLayout
               android:layout_width="match_parent"
               android:layout_height="wrap_content"
               android:layout_marginTop="198dp"
               android:paddingLeft="20dp"
               android:paddingRight="50dp"
               android:visibility="visible"
               android:orientation="horizontal"
               >

               <TextView
                   android:layout_width="wrap_content"
                   android:layout_height="wrap_content"
                   android:layout_marginTop="15dp"
                   android:text="业务类型:"
                   android:textColor="#4b4b4b"
                   android:textSize="30sp" 
                   android:visibility="invisible">
               </TextView>

                <ListView
                   android:id="@+id/lv_busi"
                   android:layout_width="450dp"
                   android:layout_height="wrap_content"
                   android:layout_marginLeft="18dp"
                   android:cacheColorHint="#00000000"
                   android:divider="@null"
                   android:visibility="gone"
                   >
               </ListView>
            </LinearLayout>
        </RelativeLayout>
        
        <!--发票打印布局-->
        <LinearLayout
            android:id="@+id/linear_invoice_print"
            android:layout_width="match_parent"
            android:layout_height="match_parent" 
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="vertical"
            android:visibility="gone">
            
            <LinearLayout 
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="30dp"
                android:paddingBottom="30dp"
                android:orientation="horizontal">
                <TextView 
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="发票打印>"
                    android:textSize="28sp"
                    android:textColor="@color/text_blue"/>
                
                <TextView 
                    android:id="@+id/tv_print_navigation"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="月结发票打印"
                    android:textSize="28sp"
                    android:textColor="@color/text_blue"/>
                
                <LinearLayout 
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:orientation="horizontal">
                    <TextView 
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="30sp"
                    android:text="交易号码:"
                    />
                    <TextView 
                    android:id="@+id/tv_busi_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="10dp"
                    android:textSize="28sp"
                    android:text="12345678989"
                    android:textColor="@color/orange_orange"
                    />
                </LinearLayout>
            </LinearLayout>
            
            <View 
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="#F5F5F5"
                android:layout_marginBottom="10dp"/>
            
            <!-- 标题 -->
            <LinearLayout
                android:id="@+id/linear_invoice_gave_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue" 
                android:orientation="horizontal">

                 <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>
                
                <TextView
                    android:id="@+id/tv_busi_time"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingBottom="10dp"
                    android:paddingTop="10dp"
                    android:text="交易时间"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>

                <TextView
                    android:id="@+id/tv_busi"
                    android:layout_width="250dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="业务类型"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>

                <TextView
                    android:id="@+id/tv_money"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="交易金额(元)"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>

                <TextView
                    android:id="@+id/tv_detail"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="操作"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>
                
                 <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>
            </LinearLayout>
            
            <LinearLayout
                android:id="@+id/linear_invoice_statement_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue" 
                android:orientation="horizontal">

                 <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>
                
                <TextView
                    android:id="@+id/tv_busi_time"
                    android:layout_width="251dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingBottom="10dp"
                    android:paddingTop="10dp"
                    android:text="交易时间"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>

                <TextView
                    android:id="@+id/tv_money"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="发票金额(元)"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>

                <TextView
                    android:id="@+id/tv_detail"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="操作"
                    android:textColor="@color/text_blue"
                    android:textSize="25sp" >
                </TextView>
                
                 <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#B9EAFC" >
                </View>
            </LinearLayout>

            <!--现金发票ListView-->
            <ListView
                android:id="@+id/invoice_gave_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:cacheColorHint="#00000000"
                android:listSelector="#00000000"
                android:divider="#00000000"
                android:visibility="visible" >
            </ListView>
            
            <!--月结发票ListView-->
            <ListView
                android:id="@+id/invoice_statement_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:cacheColorHint="#00000000"
                android:listSelector="#00000000"
                android:divider="#00000000"
                android:visibility="visible" >
            </ListView>
        </LinearLayout>
        
        <!--发票校准界面-->
        <RelativeLayout 
            android:id="@+id/lay_invoice_validate"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:layout_marginTop="50dp"
            android:visibility="gone">
            
            <LinearLayout 
                android:id="@+id/linear_invoice_validate_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                
                <Button 
                    android:id="@+id/btn_begin_invoice_num"
                    android:layout_width="206dp"
                    android:layout_height="65dp"
                    android:gravity="center"
                    android:text="起始发票号"
                    android:textSize="30sp"
                    android:background="@drawable/btn_tip_select"/>
                
                <Button 
                    android:id="@+id/btn_adjust_invoice_num"
                    android:layout_width="206dp"
                    android:layout_height="65dp"
                    android:gravity="center"
                    android:text="调整发票号"
                    android:textSize="30sp"
                    android:background="@drawable/btn_tip_select"/>
            </LinearLayout>
            
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="30dp"
                android:paddingRight="50dp"
                android:paddingTop="70dp"
                android:paddingBottom="15dp"
                android:layout_below="@+id/linear_invoice_validate_type"
                android:background="@drawable/icon_blue_boder"
                >
                
                <RelativeLayout 
	                android:id="@+id/lay_invoice_validate_input"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                >	                
	                <TextView 
	                    android:id="@+id/tv_start_invoice_num"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:layout_marginTop="15dp"
	                    android:text="起始发票号:"
	                    android:textSize="30sp"/>
	                
	                <EditText 
	                    android:id="@+id/input_invoice_num"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:layout_marginLeft="10dp"
	                    android:layout_toRightOf="@+id/tv_start_invoice_num"
	                    android:gravity="center"
	                    android:hint="请输入发票号码"
	                    android:textSize="30sp"
	                    android:layout_alignBaseline="@+id/tv_start_invoice_num"
	                    android:background="@drawable/bg_et_pwd_selector"/>
	            	
	               <TextView 
	                    android:id="@+id/tv_invoice_code"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:layout_below="@+id/tv_start_invoice_num"
	                    android:layout_alignRight="@+id/tv_start_invoice_num"
	                    android:layout_marginTop="50dp"
	                    android:text="发票代码:"
	                    android:textSize="30sp"
	                    android:visibility="visible"/>
	                
	                <EditText 
	                    android:id="@+id/input_invoice_code"
	                    android:layout_width="match_parent"
	                    android:layout_height="wrap_content"
	                    android:layout_below="@+id/input_invoice_num"
	                    android:layout_toRightOf="@+id/tv_invoice_code"
	                    android:layout_marginLeft="10dp"
	                    android:layout_marginTop="10dp"
	                    android:gravity="center"
	                    android:textSize="30sp"
	                    android:background="@drawable/bg_et_pwd_selector"
	                    android:visibility="visible"/>
	            </RelativeLayout>
	            
	            <LinearLayout 
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_below="@+id/lay_invoice_validate_input"
	                android:layout_marginTop="30dp"
	                android:orientation="horizontal"
	                android:gravity="right"
	                >
	                
	                <com.sunnada.baseframe.ui.MyCustomButtonGreen 
	                    android:id="@+id/btn_set"
		                android:layout_width="210dp"
		                android:layout_height="60dp"
		                android:gravity="center"
		                android:background="@drawable/btn_common_green"/>
	            </LinearLayout>
            </RelativeLayout>
            
            <LinearLayout 
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="20dp"
                android:orientation="vertical">
                <TextView 
                    android:id="@+id/tv_invoice_validate_hint"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="新装发票纸时,请在发票校准功能中设置发票纸起始发票号."
                    android:textSize="25sp"/>
                
                <LinearLayout 
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    >
                   <LinearLayout 
                       android:layout_width="wrap_content"
                       android:layout_height="wrap_content"
                       android:layout_marginTop="10dp"
                       android:orientation="vertical">
                       <TextView 
	                    android:id="@+id/tv_currdevice_invoice_num"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:text="当前设备发票号:01000018"
	                    android:textSize="25sp"
	                    android:textColor="@color/red"/>
                
	                   <TextView 
	                    android:id="@+id/tv_currdevice_invoice_code"
	                    android:layout_width="wrap_content"
	                    android:layout_height="wrap_content"
	                    android:text="当前设备发票代码:014545000"
	                    android:textSize="25sp"
	                    android:textColor="@color/red"/>
                   </LinearLayout>
                   
                   <LinearLayout 
                       android:layout_width="match_parent"
                       android:layout_height="wrap_content"
                       android:layout_marginTop="10dp"
                       android:gravity="right">
                       <Button 
                           android:id="@+id/btn_backto_invoiceprint"
                           android:layout_width="wrap_content"
                           android:layout_height="wrap_content"
                           android:background="@drawable/invoice_print_selector"/>
                   </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>
</LinearLayout>